# class Tk::BLT::Busy::Shield

### Public Class Methods

new(win) click to toggle source

    # File lib/tkextlib/blt/busy.rb, line 30
    def initialize(win)
      @path = self.class.shield_path(win)
    end

shield_path(win) click to toggle source

    # File lib/tkextlib/blt/busy.rb, line 21
    def self.shield_path(win)
      win = window(win) unless win.kind_of?(TkWindow)
      if win.kind_of?(Tk::Toplevel)
        win.path + '._Busy'
      else
        win.path + '_Busy'
      end
    end